Run of scrub-obsolete for crossguid

Try this locally (using the lintian-brush package):

debcheckout crossguid
cd crossguid
deb-scrub-obsolete

Merge these changes:

git pull https://janitor.debian.net/git/crossguid scrub-obsolete/main

Diff

diff --git a/debian/control b/debian/control
index bfa1918..c4334d5 100644
--- a/debian/control
+++ b/debian/control
@@ -5,7 +5,7 @@ Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>,
 Homepage: https://github.com/graeme-hill/crossguid
 Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9), uuid-dev
+Build-Depends: debhelper, uuid-dev
 Vcs-Browser: https://salsa.debian.org/debian/crossguid
 Vcs-Git: https://salsa.debian.org/debian/crossguid.git -b master
 

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/be/946a8a7e58633c049b05544625e3c153aa239e.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/84/f1926d489d90c0834d0e24521c594ab9858bba.debug

No differences were encountered between the control files of package libcrossguid-dev

No differences were encountered between the control files of package libcrossguid0

Control files of package libcrossguid0-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 84f1926d489d90c0834d0e24521c594ab9858bba be946a8a7e58633c049b05544625e3c153aa239e

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t unstable libcrossguid-dev
apt install -t unstable libcrossguid0-dbgsym
apt install -t unstable libcrossguid0

Lintian Result

Full worker log Full build log